Bug 143202 - function declared but never referenced
Summary: function declared but never referenced
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: diskdumputils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira Imamura
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-17 10:24 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version: RHEA-2005-264
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 15:44:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:263 low SHIPPED_LIVE diskdumputils enhancement update 2005-05-18 04:00:00 UTC
Red Hat Product Errata RHEA-2005:264 low SHIPPED_LIVE diskdumputils enhancement update 2005-06-09 04:00:00 UTC

Description David Binderman 2004-12-17 10:24:59 UTC
Description of problem:

I just tried to compile package diskdumputils-0.6.2-1 from 
Redhat Fedora development tree.

The compiler said

savecore.c(211): remark #177: function "sub_header_offset" was
declared but never referenced

Suggest delete dead code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira Imamura 2005-03-10 23:37:40 UTC
Thanks for reporting.
I've verified this problem and then fixed as diskdumputils-1.0.1-6. I 
deleted sub_header_offset() in savecore.c. I also deleted 
header_offset() as well as that.

Akira

Comment 2 Tim Powers 2005-05-18 15:44:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-263.html



Note You need to log in before you can comment on or make changes to this bug.